Bug 203083 - [NEW PORT] net/ns3: Network simulator for Internet systems
Summary: [NEW PORT] net/ns3: Network simulator for Internet systems
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-09-13 20:20 UTC by Nikola Kolev
Modified: 2015-12-14 08:45 UTC (History)
2 users (show)

See Also:


Attachments
ns3 shar (54.82 KB, text/plain)
2015-09-13 20:20 UTC, Nikola Kolev
no flags Details
ns3 3.24.1 (55.92 KB, text/plain)
2015-12-14 07:54 UTC, Nikola Kolev
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nikola Kolev 2015-09-13 20:20:17 UTC
Created attachment 161008 [details]
ns3 shar

ns-3 is a discrete-event network simulator for Internet systems,
targeted primarily for research and educational use. ns-3 is free
software, licensed under the GNU GPLv2 license, and is publicly
available for research, development, and use.

WWW: https://www.nsnam.org/

http://chaosophia.net/poudriere/ns3-3.23-102x386.log
http://chaosophia.net/poudriere/ns3-3.23-102x64.log
http://chaosophia.net/poudriere/ns3-3.23-93x386.log
http://chaosophia.net/poudriere/ns3-3.23-93x64.log
Comment 1 Nikola Kolev 2015-11-12 16:33:47 UTC
Hi Hiroki,

If you will not do anything about this port please resign. You took it 2 hours after the submission and after 2 months no action. There is new version already.

Regards,
Nikola
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2015-12-10 08:43:14 UTC
Re-triage, committer timeout (2+ months), open to take
Comment 3 Kurt Jaeger freebsd_committer 2015-12-11 20:31:30 UTC
I tried a test-build on a 11a system with some ports already installed
and in a 11a poudriere system. It fails in both cases, see

http://people.freebsd.org/~pi/logs/net-ns3-11amd64.txt

Testbuilds on 10.2a+i and 9.3a still running.

Nikola, if you find the time to update the shar to 3.24, that would
be nice 8-}
Comment 4 Kurt Jaeger freebsd_committer 2015-12-11 21:25:02 UTC
Testbuilds on 10.2a+i and 9.3a are fine.

Nikola, if you see a chance to find a fix for the build on 11-current ?
Comment 5 Nikola Kolev 2015-12-12 08:51:59 UTC
Hi Kurt,

I will update to 3.24.1 and try to fix compilation on 11-current.
Comment 7 commit-hook freebsd_committer 2015-12-14 08:44:42 UTC
A commit references this bug:

Author: pi
Date: Mon Dec 14 08:44:27 UTC 2015
New revision: 403710
URL: https://svnweb.freebsd.org/changeset/ports/403710

Log:
  New port: net/ns3

  ns-3 is a discrete-event network simulator for Internet systems,
  targeted primarily for research and educational use. ns-3 is free
  software, licensed under the GNU GPLv2 license, and is publicly
  available for research, development, and use.

  WWW: https://www.nsnam.org/

  PR:		203083
  Submitted by:	Nikola Kolev <koue@chaosophia.net>

Changes:
  head/net/Makefile
  head/net/ns3/
  head/net/ns3/Makefile
  head/net/ns3/distinfo
  head/net/ns3/files/
  head/net/ns3/files/patch-ns-3.24.1_src_wscript
  head/net/ns3/files/patch-ns-3.24.1_waf-tools_cflags.py
  head/net/ns3/pkg-descr
  head/net/ns3/pkg-plist
Comment 8 Kurt Jaeger freebsd_committer 2015-12-14 08:45:40 UTC
Testbuild on 11a is fine. Committed, thanks very much!